package cn.edu.xmu;

package ..deTemp.1741569089651;

import org.apache.flink.api.common.functions.FlatMapFunction;
import org.apache.flink.api.java.tuple.Tuple2;
import org.apache.flink.util.Collector;

public class WordCountTokenizer implements FlatMapFunction<String, Tuple2<String, Integer>> {
  public void flatMap(String value, Collector<Tuple2<String, Integer>> out) throws Exception {
    String[] tokens = value.toLowerCase().split("\\W+");
    for (String token : tokens) {
      if (!token.isEmpty())
        out.collect(Tuple2.of(token, Integer.valueOf(1))); 
    } 
  }
}
